html {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

input,
textarea,
select,
button {
  outline: none;
}

input {
  line-height: normal;
}

label,
button {
  cursor: pointer;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

/* using rem unit */
html {
  font-size: 62.5%;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

input,
button,
body {
  /* font-family: "Poppins", sans-serif; */
  font-size: 16px;
  line-height: 1.5;
  margin: 2rem;
}

.menu {
  width: 300px;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  list-style: none;
  transform: translateX(100%);
  transition: transform 0.25s linear;
}

.menu.is-show {
  transform: translateX(0);
}

.menu-link {
  display: block;
  padding: 20px 15px;
  color: #333;
  border-bottom: 1px solid #eee;
}

.container {
  font-size: 20px;
}

.is-active {
  color: green;
}

.is-point {
  font-weight: 600;
  font-style: italic;
  color: rebeccapurple;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.25);
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 0;
  visibility: hidden;
  transition: all 0.25s linear;
}

.modal.is-show {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  max-width: 600px;
  padding: 25px;
  border-radius: 20px;
  background-color: white;
  position: relative;
}

.modal-close {
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #eee;
  border-radius: 50px;
  cursor: pointer;
  color: #999;
}

.modal-desc {
  padding-top: 15px;
  font-size: 15px;
  font-weight: 300;
  text-align: center;
  line-height: 1.8;
}

.modal-action {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 0 20px;
}

.modal-submit,
.modal-cancel {
  cursor: pointer;
  border: 0;
  font-family: "Poppins", sans-serif;
  padding: 20px 30px;
  border-radius: 10px;
  font-size: 16px;
}

.modal-submit {
  background-color: green;
  color: #fff;
}

.modal-cancel {
  background-color: #ccc;
  color: black;
}

.noti {
  font-family: "Poppins", sans-serif;
  font-size: 14px;
  position: fixed;
  left: 0;
  bottom: 0;
  width: 400px;
  max-width: max-content;
  min-height: max-content;
  height: 140px;
  display: flex;
  flex-direction: row;
  margin-bottom: 10px;
  margin-left: 10px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  z-index: 1000;
  transform: translateY(150%);
  animation: noti 4s forwards 1 linear;
}

@keyframes noti {
  20%,
  80% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(150%);
  }
}

.noti-image {
  height: 100%;
  width: 30%;
  object-fit: fill;
  border-radius: 6px;
}

.noti-content {
  padding: 10px 16px;
}

.noti-desc {
  text-align: justify;
  padding-top: 6px;
}

.boxed {
  width: 200px;
  height: 200px;
  padding: 20px;
  margin-left: 50px;
  border: 5px solid;
  border-top: 15px solid;
}
